<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/">
		<html>
			<body>
			      <xsl:apply-templates select="PROVIDERS/PROVIDER"/>
			 </body>
		</html>
	 </xsl:template>
	 <xsl:template match="PROVIDER">
	 	<h1>Fournisseur: <xsl:value-of select="@Provider_Name"/></h1>
	 	<xsl:apply-templates select="CHANNELS/CHANNEL"/>
	 </xsl:template>
	 
	 <xsl:template match="CHANNEL">	      
	 	<h2>Programmes de <xsl:value-of select="@Channel_Name"/></h2>
		<table border="2">
			<tbody>
				<tr>
					<th>Date</th>
					<th>Heure de dmarrage</th>
					<th>Titre du programme</th>
				</tr>
				<xsl:apply-templates select="EVENTS/EVENT"/>
			</tbody>
		</table>
	 </xsl:template>
	 
	 <xsl:template match="EVENT">
		 <tr>
			<td>
				<xsl:value-of select="START_TIME/DAY"/>.<xsl:value-of select="START_TIME/MONTH"/>.<xsl:value-of select="START_TIME/YEAR"/>
			</td>
			<td>
				<xsl:value-of select="START_TIME/TIME"/>
			</td>
			<td>
				<xsl:value-of select="SHORT_EVENT_DESCRIPTOR/NAME"/>
			</td>
		</tr>
	 </xsl:template>			 
</xsl:stylesheet>
